/*
 *
 * SchedulePage constants
 *
 */

// Categories
export const FETCH_CATEGORY_LIST_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_CATEGORY_LIST_REQUEST';
export const FETCH_CATEGORY_LIST_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_CATEGORY_LIST_SUCCESS';
export const FETCH_CATEGORY_LIST_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_CATEGORY_LIST_FAILURE';

export const CREATE_CATEGORY_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/CREATE_CATEGORY_REQUEST';
export const CREATE_CATEGORY_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/CREATE_CATEGORY_SUCCESS';
export const CREATE_CATEGORY_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/CREATE_CATEGORY_FAILURE';

export const UPDATE_CATEGORY_LIST_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/UPDATE_CATEGORY_LIST_REQUEST';
export const UPDATE_CATEGORY_LIST_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/UPDATE_CATEGORY_LIST_SUCCESS';
export const UPDATE_CATEGORY_LIST_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/UPDATE_CATEGORY_LIST_FAILURE';

export const DELETE_CATEGORY_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/DELETE_CATEGORY_REQUEST';
export const DELETE_CATEGORY_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/DELETE_CATEGORY_SUCCESS';
export const DELETE_CATEGORY_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/DELETE_CATEGORY_FAILURE';


// Services
export const FETCH_SERVICE_LIST_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_SERVICE_LIST_REQUEST';
export const FETCH_SERVICE_LIST_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_SERVICE_LIST_SUCCESS';
export const FETCH_SERVICE_LIST_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_SERVICE_LIST_FAILURE';

export const CREATE_SERVICE_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/CREATE_SERVICE_REQUEST';
export const CREATE_SERVICE_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/CREATE_SERVICE_SUCCESS';
export const CREATE_SERVICE_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/CREATE_SERVICE_FAILURE';

export const UPDATE_SERVICE_LIST_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/UPDATE_SERVICE_LIST_REQUEST';
export const UPDATE_SERVICE_LIST_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/UPDATE_SERVICE_LIST_SUCCESS';
export const UPDATE_SERVICE_LIST_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/UPDATE_SERVICE_LIST_FAILURE';

export const DELETE_SERVICE_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/DELETE_SERVICE_REQUEST';
export const DELETE_SERVICE_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/DELETE_SERVICE_SUCCESS';
export const DELETE_SERVICE_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/DELETE_SERVICE_FAILURE';

// room
export const FETCH_ROOMS_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_ROOMS_REQUEST';
export const FETCH_ROOMS_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_ROOMS_SUCCESS';
export const FETCH_ROOMS_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_ROOMS_FAILURE';

// equipment
export const FETCH_EQUIPMENT_LIST_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_EQUIPMENT_LIST_REQUEST';
export const FETCH_EQUIPMENT_LIST_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_EQUIPMENT_LIST_SUCCESS';
export const FETCH_EQUIPMENT_LIST_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_EQUIPMENT_LIST_FAILURE';

// roles
export const FETCH_ROLE_LIST_REQUEST = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_ROLE_LIST_REQUEST';
export const FETCH_ROLE_LIST_SUCCESS = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_ROLE_LIST_SUCCESS';
export const FETCH_ROLE_LIST_ERROR = 'app/MEDICAL_SERVICE_CONTAINER/FETCH_ROLE_LIST_FAILURE';
